Picture and video generation
Retrieve generation result
Query the generation result by UUID. This is a query-only operation and does not consume points.
POST
/
api
/
queryGenerationResult
curl --request POST \
--url https://alb.neural4d.com:3000/api/queryGenerationResult \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}
'
import requests
response = requests.request(
"POST",
"https://alb.neural4d.com:3000/api/queryGenerationResult",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
},
)
print(response.json())
const response = await fetch("https://alb.neural4d.com:3000/api/queryGenerationResult", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}),
});
const data = await response.json();
console.log(data);
const response: Response = await fetch("https://alb.neural4d.com:3000/api/queryGenerationResult", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}),
});
const data = await response.json();
console.log(data);
import java.net.URI;
import java.net.http.*;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://alb.neural4d.com:3000/api/queryGenerationResult"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n }"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
payload := strings.NewReader("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}")
req, _ := http.NewRequest("POST", "https://alb.neural4d.com:3000/api/queryGenerationResult", payload)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
bodyBytes, _ := io.ReadAll(resp.Body)
fmt.Println(string(bodyBytes))
require "net/http"
require "json"
uri = URI("https://alb.neural4d.com:3000/api/queryGenerationResult")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = {
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}.to_json
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(request) }
puts response.body
<?php
$ch = curl_init("https://alb.neural4d.com:3000/api/queryGenerationResult");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>", "Content-Type: application/json"],
CURLOPT_POSTFIELDS => "{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, "https://alb.neural4d.com:3000/api/queryGenerationResult");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <token>");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Content = new StringContent("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}", Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"data": {
"uuid": "4d0f8188-3fdd-4596-9d31-ceb6eab831655",
"status": "completed",
"resultType": "video",
"resultUrl": "https://example.mp4"
}
}
Authorizations
string
default:"Bearer ${YOUR_API_KEY}"
required
Use the bearer token provided through the Neural4D website.
Body application/json
string
required
Unique job or model identifier returned by a previous create endpoint.Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479".curl --request POST \
--url https://alb.neural4d.com:3000/api/queryGenerationResult \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}
'
import requests
response = requests.request(
"POST",
"https://alb.neural4d.com:3000/api/queryGenerationResult",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
},
)
print(response.json())
const response = await fetch("https://alb.neural4d.com:3000/api/queryGenerationResult", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}),
});
const data = await response.json();
console.log(data);
const response: Response = await fetch("https://alb.neural4d.com:3000/api/queryGenerationResult", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}),
});
const data = await response.json();
console.log(data);
import java.net.URI;
import java.net.http.*;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://alb.neural4d.com:3000/api/queryGenerationResult"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n }"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
payload := strings.NewReader("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}")
req, _ := http.NewRequest("POST", "https://alb.neural4d.com:3000/api/queryGenerationResult", payload)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
bodyBytes, _ := io.ReadAll(resp.Body)
fmt.Println(string(bodyBytes))
require "net/http"
require "json"
uri = URI("https://alb.neural4d.com:3000/api/queryGenerationResult")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = {
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}.to_json
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(request) }
puts response.body
<?php
$ch = curl_init("https://alb.neural4d.com:3000/api/queryGenerationResult");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>", "Content-Type: application/json"],
CURLOPT_POSTFIELDS => "{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, "https://alb.neural4d.com:3000/api/queryGenerationResult");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <token>");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Content = new StringContent("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}", Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
- 200
Generation result
boolean
required
Whether the generation result query succeeded.
object
required
Current status and result data for the requested generation UUID.
Show child attributes
Show child attributes
Generation UUID supplied in the query.
Current generation state such as
completed, queued, processing, or failed.Result type when the generation has completed, usually
image or video.Download URL for the generated asset when available.
{
"success": true,
"data": {
"uuid": "4d0f8188-3fdd-4596-9d31-ceb6eab831655",
"status": "completed",
"resultType": "video",
"resultUrl": "https://example.mp4"
}
}
⌘I
curl --request POST \
--url https://alb.neural4d.com:3000/api/queryGenerationResult \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}
'
import requests
response = requests.request(
"POST",
"https://alb.neural4d.com:3000/api/queryGenerationResult",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
},
)
print(response.json())
const response = await fetch("https://alb.neural4d.com:3000/api/queryGenerationResult", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}),
});
const data = await response.json();
console.log(data);
const response: Response = await fetch("https://alb.neural4d.com:3000/api/queryGenerationResult", {
method: "POST",
headers: {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
},
body: JSON.stringify({
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}),
});
const data = await response.json();
console.log(data);
import java.net.URI;
import java.net.http.*;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://alb.neural4d.com:3000/api/queryGenerationResult"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n }"))
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
payload := strings.NewReader("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}")
req, _ := http.NewRequest("POST", "https://alb.neural4d.com:3000/api/queryGenerationResult", payload)
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
bodyBytes, _ := io.ReadAll(resp.Body)
fmt.Println(string(bodyBytes))
require "net/http"
require "json"
uri = URI("https://alb.neural4d.com:3000/api/queryGenerationResult")
request = Net::HTTP::Post.new(uri)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = {
"uuid": "16be86d7-210a-4d22-a00b-62935c1900d2"
}.to_json
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") { |http| http.request(request) }
puts response.body
<?php
$ch = curl_init("https://alb.neural4d.com:3000/api/queryGenerationResult");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer <token>", "Content-Type: application/json"],
CURLOPT_POSTFIELDS => "{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Post, "https://alb.neural4d.com:3000/api/queryGenerationResult");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <token>");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Content = new StringContent("{\n \"uuid\": \"16be86d7-210a-4d22-a00b-62935c1900d2\"\n}", Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"success": true,
"data": {
"uuid": "4d0f8188-3fdd-4596-9d31-ceb6eab831655",
"status": "completed",
"resultType": "video",
"resultUrl": "https://example.mp4"
}
}

